Generate product and banner ads
The banner slots ads are required. Will be superseded by bannerSlots array object.
The catalogId you are requesting ads for. Typically a single identifier for a retailer.
The banner contentStandardId. Required for banners.
Your unique customerId. Optional.
The maximum number of product ads to receive.
The placement you are requesting ads for.
An array or arrays are required depending on your ad generation filtering. Used in category placements or any other placement to further define business rules. Not currently compatible with cross-sell or upsell placements.
[ [ "category:Frozen" ], ["Location:Brisbane Central"]]Used for search placements. The exact search term entered by the customer on your site.
Unique sessionId used for attribution. Required to be consistent between a user's session and order reporting.
Used for cross-sell placements. The product code that is being advertised against
200
400
401
403
404
429
500
502
503
504
POST /v1/ads/generate HTTP/1.1
Host: integration-BASE-URL.citrusad.com/
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 492
{
"audience": [
{
"segmentIds": [
"text"
],
"sourceId": "retailer-cdp-1"
}
],
"bannerSlotIds": [
"text"
],
"bannerSlots": [
{
"maxNumberOfAds": 1,
"slotId": "text"
}
],
"catalogId": "text",
"contentStandardId": "text",
"customerId": "text",
"maxNumberOfAds": 1,
"options": [
{
"cached": false,
"filtermode": "AndOr",
"includeAdvertiserInfo": true
}
],
"placement": "text",
"productFilters": "[ [ \"category:Frozen\" ], [\"Location:Brisbane Central\"]]",
"searchTerm": "text",
"sessionId": "text",
"targetedProductGtin": "text"
}{
"ads": [
{
"id": "string",
"gtin": "string",
"discount": {
"amount": "number",
"minPrice": "number",
"maxPerCustomer": "integer"
},
"expiry": "string",
"position": "integer",
"metadata": {
"advertiserInfo": {
"advertiser": "string",
"onBehalfOf": "string",
},
{
"id": "string",
"gtin": "string",
"discount": {
"amount": "number",
"minPrice": "number",
"maxPerCustomer": "integer"
},
"expiry": "string",
"position": "integer"
"metadata": {
"advertiserInfo": {
"advertiser": "string",
"onBehalfOf": "string",
},
{
"id": "string",
"gtin": "string",
"discount": {
"amount": "number",
"minPrice": "number",
"maxPerCustomer": "integer"
},
"expiry": "string",
"position": "integer"
"metadata": {
"advertiserInfo": {
"advertiser": "string",
"onBehalfOf": "string",
}
],
"banners": [
{
"id": "string",
"contentStandardId": "string",
"slotId": "string",
"imageUrl": "string",
"linkUrl": "string",
"altText": "string",
"text": "",
"gtins": [
"string",
"string"
],
"expiry": "2022-03-10T05:53:14.653320236Z",
"tags": {}
}
],
"products": [],
"metadata": []
}
